cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade 2.1.4 to 2.1.6 Error in Update!

SOLVED

Upgrade 2.1.4 to 2.1.6 Error in Update!

HI,

I'm really looking for some help. My magento 2.1.3 was running ok, suddenly I wasn't able to connect to magento marketplace anymore or update via wizard. To get beyond these issues I thought it would be good to upgrade manually via filezilla to latest version 2.1.6.

Now I keep getting what ever I try these message in SSH: PHP Fatal error: require(): Failed opening required '/home/rockmart/domains/topofficeprofessional.be/public_html/bin/../app/bootstrap.php' (include_path='.:/usr/local/php70/lib/php') in /home/rockmart/domains/topofficeprofessional.be/public_html/bin/magento on line 14

This is where I'm getting lost, I seem not to be able to fix this.

Anyone out there can help me out?

Thank you in advance, regards Mariska

Tags (1)
4 REPLIES

Re: Upgrade 2.1.4 to 2.1.6 Error in Update!

Try to execute following commands in your CLI (via SSH): 

php bin/magento cache:clean
php bin/magento setup:upgrade

and eventually this one, depending on your setup (production mode):
php bin/magento setup:static-content:deploy
If this response was helpful to you, consider giving kudos to this post.
If this response solved your problem, click accept as solution to help others solve this issue

Re: Upgrade 2.1.4 to 2.1.6 Error in Update!

Thank you very much Sinisa,

I've tried it again but unfortunately I cannot get it working allright.

this is the message from error log:

 

a:4:{i:0;s:318:"Warning: include(/home/rockmart/domains/topofficeprofessional.be/public_html/var/generation/Magento/Framework/App/FrontController/Interceptor.php): failed to open stream: No such file or directory in /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/Code/Generator/Io.php on line 158";i:1;s:2432:"#0 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/Code/Generator/Io.php(158): Magento\Framework\App\ErrorHandler->handler(2, 'include(/home/r...', '/home/rockmart/...', 158, Array) #1 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/Code/Generator/Io.php(158): include() #2 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/Code/Generator.php(202): Magento\Framework\Code\Generator\Io->includeFile('/home/rockmart/...') #3 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/Code/Generator.php(92): Magento\Framework\Code\Generator->shouldSkipGeneration('interceptor', 'Magento\\Framewo...', 'Magento\\Framewo...') #4 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/Code/Generator/Autoloader.php(35): Magento\Framework\Code\Generator->generateClass('Magento\\Framewo...') #5 [internal function]: Magento\Framework\Code\Generator\Autoloader->load('Magento\\Framewo...') #6 [internal function]: spl_autoload_call('Magento\\Framewo...') #7 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/Code/Reader/ClassReader.php(19): ReflectionClass->__construct('Magento\\Framewo...') #8 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/ObjectManager/Definition/Runtime.php(44): Magento\Framework\Code\Reader\ClassReader->getConstructor('Magento\\Framewo...') #9 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/ObjectManager/Factory/Dynamic/Developer.php(71): Magento\Framework\ObjectManager\Definition\Runtime->getParameters('Magento\\Framewo...') #10 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/ObjectManager/ObjectManager.php(71): Magento\Framework\ObjectManager\Factory\Dynamic\Developer->create('Magento\\Framewo...') #11 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/App/Http.php(114): Magento\Framework\ObjectManager\ObjectManager->get('Magento\\Framewo...') #12 /home/rockmart/domains/topofficeprofessional.be/public_html/vendor/magento/framework/App/Bootstrap.php(258): Magento\Framework\App\Http->launch() #13 /home/rockmart/domains/topofficeprofessional.be/public_html/index.php(39): Magento\Framework\App\Bootstrap->run(Object(Magento\Framework\App\Http)) #14 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";}

 

 

I'm feeling really lost nowWoman Frustrated it seems the framework is the big problem but really don't know how to fix this.

looking forward to some advise, Thank you

Re: Upgrade 2.1.4 to 2.1.6 Error in Update!

What are you getting on the screen when you execute commands:

php bin/magento cache:clean
php bin/magento setup:upgrade

If you're not able to execute those commands from SSH (if you don't have an access), then you'll not be able to solve it.

If this response was helpful to you, consider giving kudos to this post.
If this response solved your problem, click accept as solution to help others solve this issue

Re: Upgrade 2.1.4 to 2.1.6 Error in Update!

Goodmorning Sinisa,

Thank you for your response, I do use SSH and I am sooo happy, it worked!

probably it needed some night rest and turned out perfect, awesome.

Thank you so much for your help!

wishing you a great day, regards Mariska